--NoBloodDamage by DreSam911
--Source open for use/distribution. Just Credit my name. I'll be real glad.

local NoBloodDamage = {}

function NoBloodDamage.unload()
end
function NoBloodDamage.init()
end

function NoBloodDamage.tick()

	local playerPed = PLAYER.PLAYER_PED_ID()
	local player = PLAYER.GET_PLAYER_PED(playerPed)
	local objDam = ENTITY.HAS_ENTITY_BEEN_DAMAGED_BY_ANY_OBJECT(playerPed)
	local pedDam = ENTITY.HAS_ENTITY_BEEN_DAMAGED_BY_ANY_PED(playerPed)
	local vehDam = ENTITY.HAS_ENTITY_BEEN_DAMAGED_BY_ANY_VEHICLE(playerPed)
			
	if ((objDam == true) or (pedDam == true) or (vehDam == true)) then
		PED.CLEAR_PED_BLOOD_DAMAGE(playerPed)
		PED.RESET_PED_VISIBLE_DAMAGE(playerPed)
		WEAPON.CLEAR_PED_LAST_WEAPON_DAMAGE(playerPed)
	end
end
return NoBloodDamage